## WebKitDOMCharacterData

WebKitDOMCharacterData

## Functions

gchar * | webkit_dom_character_data_substring_data ()
void | webkit_dom_character_data_append_data ()
void | webkit_dom_character_data_insert_data ()
void | webkit_dom_character_data_delete_data ()
void | webkit_dom_character_data_replace_data ()
void | webkit_dom_character_data_remove ()
gchar * | webkit_dom_character_data_get_data ()
void | webkit_dom_character_data_set_data ()
gulong | webkit_dom_character_data_get_length ()

## Properties

gchar * | data | Read / Write
gulong | length | Read

## Types and Values

| WebKitDOMCharacterData

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMCharacterData
                    ├── WebKitDOMText
                    ├── WebKitDOMComment
                    ╰── WebKitDOMProcessingInstruction

## Implemented Interfaces

WebKitDOMCharacterData implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_character_data_substring_data ()

    gchar *
    webkit_dom_character_data_substring_data
                                   (WebKitDOMCharacterData *self,
                                    gulong offset,
                                    gulong length,
                                    GError **error);

#### Parameters

self | A WebKitDOMCharacterData |
offset | A gulong |
length | A gulong |
error | GError |

#### Returns

A gchar

### webkit_dom_character_data_append_data ()

    void
    webkit_dom_character_data_append_data (WebKitDOMCharacterData *self,
                                           const gchar *data,
                                           GError **error);

#### Parameters

self | A WebKitDOMCharacterData |
data | A gchar |
error | GError |

### webkit_dom_character_data_insert_data ()

    void
    webkit_dom_character_data_insert_data (WebKitDOMCharacterData *self,
                                           gulong offset,
                                           const gchar *data,
                                           GError **error);

#### Parameters

self | A WebKitDOMCharacterData |
offset | A gulong |
data | A gchar |
error | GError |

### webkit_dom_character_data_delete_data ()

    void
    webkit_dom_character_data_delete_data (WebKitDOMCharacterData *self,
                                           gulong offset,
                                           gulong length,
                                           GError **error);

#### Parameters

self | A WebKitDOMCharacterData |
offset | A gulong |
length | A gulong |
error | GError |

### webkit_dom_character_data_replace_data ()

    void
    webkit_dom_character_data_replace_data
                                   (WebKitDOMCharacterData *self,
                                    gulong offset,
                                    gulong length,
                                    const gchar *data,
                                    GError **error);

#### Parameters

self | A WebKitDOMCharacterData |
offset | A gulong |
length | A gulong |
data | A gchar |
error | GError |

### webkit_dom_character_data_remove ()

    void
    webkit_dom_character_data_remove (WebKitDOMCharacterData *self,
                                      GError **error);

#### Parameters

self | A WebKitDOMCharacterData |
error | GError |

### webkit_dom_character_data_get_data ()

    gchar *
    webkit_dom_character_data_get_data (WebKitDOMCharacterData *self);

#### Parameters

self | A WebKitDOMCharacterData |

#### Returns

A gchar

### webkit_dom_character_data_set_data ()

    void
    webkit_dom_character_data_set_data (WebKitDOMCharacterData *self,
                                        const gchar *value,
                                        GError **error);

#### Parameters

self | A WebKitDOMCharacterData |
value | A gchar |
error | GError |

### webkit_dom_character_data_get_length ()

    gulong
    webkit_dom_character_data_get_length (WebKitDOMCharacterData *self);

#### Parameters

self | A WebKitDOMCharacterData |

#### Returns

A gulong

## Types and Values

### WebKitDOMCharacterData

    typedef struct _WebKitDOMCharacterData WebKitDOMCharacterData;

## Property Details

### The `“data”` property

      “data”                     gchar *

read-write gchar* CharacterData:data.

Flags: Read / Write

Default value: ""

### The `“length”` property

      “length”                   gulong

read-only gulong CharacterData:length.

Flags: Read